
function upload_img(url_upload,img_filex,img_file,aguarde,tipo,campo,mfn){

		$(document).ready(function(){
		  $("#botao1"+tipo).click(function(){
		    $("#form2"+tipo).show();
			$("#form1"+tipo).hide();
		  });

		   $("#lfile"+tipo).click(function(){
		    $("#"+campo+"_url").val("");
		   });
		  
		  $("#botao2"+tipo).click(function(){
		    $("#form3"+tipo).show();
			$("#form1"+tipo).hide();
		    $("#"+campo+"_url").attr('value',$("#"+campo).attr("value"));
		  });

		  $("#voltar1"+tipo).click(function(){
			$("#form1"+tipo).show();
		    $("#form2"+tipo).hide();
			$("#form3"+tipo).hide();
		  });

		    $("#voltar2"+tipo).click(function(){
			$("#form1"+tipo).show();
		    $("#form2"+tipo).hide();
			$("#form3"+tipo).hide();
		  });
		});

		$(document).ready(function(){
		  $("#form2"+tipo).hide();
		  $("#form3"+tipo).hide();
		  	if ($("#"+campo).val() == '') {
		  		$("#img_show"+tipo).attr("src",img_filex);
		  			if (tipo === 'capa' || tipo === 'foto' ){
		  			$("#"+campo).attr('value',img_filex);
		  		}
		  	 }


		  	 if(tipo==='arquivo' && $("#"+campo).val() != ''){
		  	 	$("#img_show"+tipo).attr("src",img_file);
		  	 }

			   if(tipo==='restrito' && $("#"+campo).val() != ''){
				$("#img_show"+tipo).attr("src",img_file);
			}

		  	 if(tipo === 'capa' || tipo === 'foto'){
		  		$("#img_show"+tipo).attr("src",$("#"+campo).attr("value"));
		  	}


			$("#bfile"+tipo).click(function(){


		        var fd = new FormData();
		        var files = $('#file'+tipo)[0].files[0];

		              if(files == undefined){
			               	$('#img_show'+tipo).attr('src',img_filex);
							$("#"+campo).attr('value','');
						} else {

		        	if ((files.size/1024)/1024>50){
		        		alert("Tamanho arquivo:"+((files.size/1024)/1024).toFixed(2)+"\n Arquivo suportado até 50MB");
		        	} else {
								
					             fd.append('arquivo',files);
					             fd.append('tipo',tipo);
					             fd.append('mfn',mfn);

					            
								 $.ajax({
						            url: url_upload,
									type: 'post',
									data: fd,
									contentType: false,
									processData: false,

									error: function(){

										$("#resultado"+tipo).html("Erro de envio");
									},

						            success: function(data, textStatus) {
						     
						     			if(tipo==='arquivo'){
						     				$('#img_show'+tipo).attr('src',img_file);
											$("#"+campo).attr('value',data);
											$("#resultado"+tipo).html("");

						     			}

										 if(tipo==='restrito'){
											$('#img_show'+tipo).attr('src',img_file);
										   $("#"+campo).attr('value',data);
										   $("#resultado"+tipo).html("");

										}


						     			if (tipo==='foto'||tipo==='capa'){
											$('#img_show'+tipo).attr('src',data);
											$("#"+campo).attr('value',data);
											$("#resultado"+tipo).html("");
											}

										if(tipo==='marc'){
											$("#resultado"+tipo).html(data);
											$("#h_filemarc").attr('value',data);
										}

						            },
							
								 beforeSend : function(){
								 $('#resultado'+tipo).html("<img src=" + aguarde + " width='20px' height='20px'>");
									  
								 }
						            
								});
							} 
				}
			});


			$("#blink"+tipo).click(function(){

				if($("#"+campo+"_url").val() == '' && (tipo=='capa' || tipo=='foto')){
					$('#img_show'+tipo).attr('src',img_filex);
					$("#"+campo).attr('value',img_filex);

				}
				if($("#"+campo+"_url").val() != '' && (tipo=='capa' || tipo=='foto')){
					$("#img_show"+tipo).attr('src',$("#"+campo+"_url").val());
					$("#"+campo).attr('value',$("#"+campo+"_url").val());

				}



				if($("#"+campo+"_url").val() == '' && tipo=='arquivo'){
					$('#img_show'+tipo).attr('src',img_filex);
					$("#"+campo).attr('value','');
				}
				if($("#"+campo+"_url").val() != '' && tipo=='arquivo'){
					$('#img_show'+tipo).attr('src',img_file);
					$("#"+campo).attr('value',$("#"+campo+"_url").val());
				}			


				if($("#"+campo+"_url").val() == '' && tipo=='restrito'){
					$('#img_show'+tipo).attr('src',img_filex);
					$("#"+campo).attr('value','');
				}
				if($("#"+campo+"_url").val() != '' && tipo=='restrito'){
					$('#img_show'+tipo).attr('src',img_file);
					$("#"+campo).attr('value',$("#"+campo+"_url").val());
				}			



			});
		});
}